> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All IP Collections

> Get all collections associated with the Developer Project

**API scope required**: `collections.read`

<Warning>This API is still under development. Contact support for early access.</Warning>


## OpenAPI

````yaml get /v1/ip/collections
openapi: 3.0.0
info:
  title: Crossmint Story API
  description: Crossmint Story API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
security: []
tags: []
paths:
  /v1/ip/collections:
    get:
      tags:
        - IP Story Protocol
      summary: Get All Collections
      description: |-
        Get all collections associated with the Developer Project

        **API scope required**: `collections.read`
      operationId: StoryApiController-getCollections-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: page
          required: false
          in: query
          schema:
            pattern: ^[1-9]\d*$
            default: '1'
            type: string
        - name: perPage
          required: false
          in: query
          schema:
            pattern: ^[1-9]\d*$
            default: '10'
            type: string
      responses:
        '200':
          description: Collections found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipleCollectionResponseDto'
components:
  schemas:
    MultipleCollectionResponseDto:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            description: The id of the collection
            example: d290f1ee-6c54-4b01-90e6-d701748f0851
          actionId:
            type: string
            description: The action id of the collection
            example: d290f1ee-6c54-4b01-90e6-d701748f0851
          metadata:
            type: object
            properties:
              name:
                type: string
                description: The name of the collection
                example: My Collection
              symbol:
                type: string
                description: The symbol of the collection
                example: MYCOL
              description:
                type: string
                description: The description of the contract
                example: My Collection Description
              image:
                type: string
                format: uri
                description: >-
                  A URI pointing to a resource with mime type image/* that
                  represents the contract, typically displayed as a profile
                  picture
                example: https://example.com/image.png
              banner_image:
                type: string
                format: uri
                description: >-
                  A URI pointing to a resource with mime type image/* that
                  represents the contract, displayed as a banner image
                example: https://example.com/banner.png
              featured_image:
                type: string
                format: uri
                description: >-
                  A URI pointing to a resource with mime type image/* that
                  represents the featured image for the contract
                example: https://example.com/featured.png
              external_link:
                type: string
                format: uri
                description: The external link of the contract
                example: https://example.com
              contractUri:
                type: string
                format: uri
                description: The contract URI of the collection
                example: https://www.crossmint.com/assets/crossmint/logo.png
            required:
              - name
              - symbol
              - description
            description: Story Protocol collection metadata response
            example:
              name: My Collection
              symbol: MYCOL
              description: My Collection Description
              image: https://example.com/image.png
          onChain:
            type: object
            properties:
              chain:
                type: string
                description: The chain of the collection
                example: story-testnet
              contractAddress:
                type: string
                description: The address of the collection on the chain
                example: '0x123'
              explorerLink:
                type: string
                format: uri
                description: The explorer link of the collection
                example: >-
                  https://portal.story.foundation/collections/0xAC6062FF53fa41e61Fe01B89B83d9dB96b5F9280
            required:
              - chain
        required:
          - id
          - actionId
          - metadata
          - onChain
        description: Story Protocol collection creation output
        example:
          id: d290f1ee-6c54-4b01-90e6-d701748f0851
          actionId: d290f1ee-6c54-4b01-90e6-d701748f0851
          metadata:
            name: My Collection
            symbol: MYCOL
            description: My Collection Description
            image: https://example.com/image.png
          onChain:
            chain: story-testnet
            contractAddress: '0x123'
      description: Story Protocol multiple collection creation output
      example:
        - id: d290f1ee-6c54-4b01-90e6-d701748f0851
          actionId: d290f1ee-6c54-4b01-90e6-d701748f0851
          metadata:
            name: My Collection
            symbol: MYCOL
            description: My Collection Description
            image: https://example.com/image.png
          onChain:
            chain: story-testnet
            contractAddress: '0x123'

````